- name: Installer Docker et Docker Compose          
  hosts: cible                                      
  become: true                                      

  tasks:
    - name: Installer les dépendances requises      
      apt:                                          
        name: ['python3-pip', 'python3-setuptools'] 
        state: latest                               
      become: true                                  

    - name: Installer Docker                        
      apt:
        name: docker.io                             
        state: present                              
      become: true                                  

    - name: Installer Docker Compose via pip        
      pip:                                          
        name: docker-compose                        
        state: present                              
      become: true                                  
